Redmine - Patch #35026

Remove rake task check_parsing_by_psych
2021-04-04 04:50 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 5.0.0

Description

This patch removes the Rake task "check_parsing_by_psych".

In Ruby 1.8, Syck was used as a YAML library, and in Ruby 1.9, Psych was added and the two YAML libraries coexisted. Syck was

later removed in Ruby 2.0, and now only Psych is available.

The Rake task check_parsing_by_psych was added in the process of making Redmine compatible with Ruby 1.9 (#8847), to check
that YAML translation files can be parsed without errors in Psych as well as Syck.

However, Syck was removed in Ruby 2.0 and now Pysch is always used to parse when running the rake task update_locales, so

check_parsing_by_psych is no longer needed.

For these reasons, | propose to remove check_parsing_by_psych.

Related issues:

Related to Redmine - Defect #8847: 118n YAML files not parsable with psych ya... Closed 2011-07-19

Associated revisions

Revision 20940 - 2021-04-13 09:30 - Go MAEDA
Remove rake task check_parsing_by_psych (#35026).

Patch by Go MAEDA.

History

#1 - 2021-04-05 02:40 - Go MAEDA

- Related to Defect #8847: 118n YAML files not parsable with psych yaml library added

#2 - 2021-04-05 02:49 - Go MAEDA

- Target version set to 5.0.0

Setting the target version to 5.0.0.

#3 - 2021-04-13 09:30 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.
